# eric7.WebBrowser.JavaScript.ExternalJsObject

Module implementing the JavaScript external object being the endpoint of a web channel.

### Global Attributes

None

### Classes

ExternalJsObject | Class implementing the endpoint of our web channel.

### Functions

None

## ExternalJsObject

Class implementing the endpoint of our web channel.

### Derived from

QObject

### Class Attributes

extraObjects

### Class Methods

registerExtraObject | Class method to register extra JavaScript objects.
setupWebChannel | Class method to setup the web channel.
unregisterExtraObject | Class method to unregister extra JavaScript objects.

### Methods

ExternalJsObject | Constructor
page | Public method returning a reference to the web page object.
passwordManager | Public method to get a reference to the password manager JavaScript object.
speedDial | Public method returning a reference to a speed dial object.
startPage | Public method to get a reference to the start page JavaScript object.

### Static Methods

None

#### ExternalJsObject.registerExtraObject (class method)

registerExtraObject(name, jsObject)

Class method to register extra JavaScript objects.

name (str)
  name for the object
jsObject (QObject)
  reference to the JavaScript object to be registered

#### ExternalJsObject.setupWebChannel (class method)

setupWebChannel(channel, page)

Class method to setup the web channel.

channel (QWebChannel)
  reference to the channel
page (QWebEnginePage)
  reference to the web page

#### ExternalJsObject.unregisterExtraObject (class method)

unregisterExtraObject(name)

Class method to unregister extra JavaScript objects.

name (str)
  name of the object

#### ExternalJsObject (Constructor)

ExternalJsObject(page)

Constructor

page (WebBrowserPage)
  reference to the web page object

#### ExternalJsObject.page

page()

Public method returning a reference to the web page object.

Return:
  reference to the web page object

Return Type:
  WebBrowserPage

#### ExternalJsObject.passwordManager

passwordManager()

Public method to get a reference to the password manager JavaScript object.

Return:
  reference to the password manager JavaScript object

Return Type:
  StartPageJsObject

#### ExternalJsObject.speedDial

speedDial()

Public method returning a reference to a speed dial object.

Return:
  reference to a speed dial object

Return Type:
  SpeedDial

#### ExternalJsObject.startPage

startPage()

Public method to get a reference to the start page JavaScript object.

Return:
  reference to the start page JavaScript object

Return Type:
  StartPageJsObject

Up